/// <reference types="cypress" />
import DataTable from "./data_table";
import { IHookBody, IParameterTypeDefinition, IStepDefinitionBody } from "./types";
declare function defineStep<T extends unknown[]>(description: string | RegExp, implementation: IStepDefinitionBody<T>): void;
declare function runStepDefininition(world: Mocha.Context, text: string, argument?: DataTable | string): void;
declare function defineParameterType<T>(options: IParameterTypeDefinition<T>): void;
declare function defineBefore(options: {
    tags?: string;
}, fn: IHookBody): void;
declare function defineBefore(fn: IHookBody): void;
declare function defineAfter(options: {
    tags?: string;
}, fn: IHookBody): void;
declare function defineAfter(fn: IHookBody): void;
export { defineStep as Given, defineStep as When, defineStep as Then, defineStep as And, defineStep as But, defineStep, runStepDefininition as Step, defineParameterType, defineBefore as Before, defineAfter as After, };
